@import "../../../utils/variables";

$root-padding-top: $header-top-space-height;

.root {
  min-width: 4.5rem;
  width: 4.5rem;
  height: 100%;
  flex: 0 0 auto;
  order: -1;
  display: flex;
  flex-direction: column;
  will-change: width;
  transition: width 0.2s ease-in-out;
  overflow-x: hidden;

  &[data-theme="dark"] {
    background-color: $background-color-dock-dark;
    .dockContent {
      border-top-color: $border-color-dock-dark;
    }
  }

  &[data-theme="light"] {
    background-color: $background-color-dock-light;
    .dockContent {
      border-top-color: $border-color-dock-light;
    }
  }

  &[data-pos="left"] {
    .triggerIcon {
      margin-left: auto;
      margin-right: 1.4rem;
    }
  }

  &[data-pos="right"] {
    .triggerIcon {
      margin-right: auto;
      margin-left: 1.4rem;
    }
  }

  .trigger {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 3.6rem;
    margin: 3px 1px 0 1px;
    flex: 0 0 3.6rem;
    border: none;
    padding: 0;
    color: currentColor;
    background-color: transparent;
    cursor: pointer;

    &:focus {
      outline-offset: -5px;
      outline-color: $color-lucinity-logo-blue;
      outline-width: 2px;
    }

    .triggerIcon {
      svg {
        transition: rotate 0.2s ease-in-out;
      }
    }
  }

  .dockContent {
    height: 100%;
    border-top: 1px solid;
  }
}
